<!-- Main Header -->
<header class="main-header">

	<!-- Logo -->
	<a href="{{ url('/home') }}" class="logo">
		<!-- mini logo for sidebar mini 50x50 pixels -->
		<span class="logo-mini">{!! config('app.name_html_short','<b>A</b>N') !!}</span>
		<!-- logo for regular state and mobile devices -->
		<span class="logo-lg">{!! config('app.name_html_long','<b>App</b>Name') !!}</span>
	</a>

	<!-- Header Navbar -->
	<nav class="navbar navbar-static-top" role="navigation">
		<!-- Sidebar toggle button-->
		<a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
			<span class="sr-only">{{ trans('adminlte_lang::message.togglenav') }}</span>
		</a>
		<!-- Navbar Right Menu -->
		<div class="navbar-custom-menu">
			<ul class="nav navbar-nav">
				<!-- Tasks Menu -->
				@if (Auth::guest())
					<li><a href="{{ url('/register') }}">{{ trans('adminlte_lang::message.register') }}</a></li>
					<li><a href="{{ url('/login') }}">{{ trans('adminlte_lang::message.login') }}</a></li>
				@else

					@if (isset($topmenu))
						<!-- Available Data Menu -->
						<li class="dropdown tasks-menu" id="import_date">
							<a href="#" class="dropdown-toggle" data-toggle="dropdown">
								<span class="hidden-xs">Items</span>
							</a>
							<ul class="dropdown-menu">
								<li class="header">Header</li>
								<li>
									<ul class="menu small">
										&nbsp;
									</ul>
								</li>
								<li class="footer"><a href="#">(Not Active)</a></li>
							</ul>
						</li>
					@endif

					<!-- Top Menu Items -->
					@include('adminlte::layouts.partials.topmenu')

					<li class="dropdown user user-menu @if($user->switched) bg-red @endif" id="user_menu">
					<!-- Menu Toggle Button -->
						<a href="#" class="dropdown-toggle" data-toggle="dropdown">
							<!-- The user image in the navbar-->
							<img src="{{ Gravatar::get($user->email) }}" class="user-image" alt="User Image"/>
							<!-- hidden-xs hides the username on small devices so only the image appears. -->
							<span class="hidden-xs">{{ $user->name }}</span>
						</a>
						<ul class="dropdown-menu">
							<!-- The user image in the menu -->
							<li class="user-header">
								<img src="{{ Gravatar::get($user->email) }}" class="img-circle" alt="User Image" />
								<p>
									{{ $user->name }}
									<small>{{ trans('adminlte_lang::message.login') }}: @if($user->last_access) {{ $user->last_access->format('Y-m-d') }} @else Unknown @endif</small>
								</p>
							</li>
							<!-- Menu Footer-->
							<li class="user-footer">
								<div class="pull-left">
									<a href="{{ url('/settings') }}" class="btn btn-default btn-flat">{{ trans('adminlte_lang::message.profile') }}</a>
								</div>

								<div class="pull-right">
									@if ($user->switched)
										<a href="{{ url('/admin/switch/stop') }}" class="btn btn-default btn-flat" id="switch">
											{{ trans('adminlte_lang::message.switchoff') }}
										</a>
									@else
										<a href="{{ url('/logout') }}" class="btn btn-default btn-flat" id="logout"
										   onclick="event.preventDefault();
													document.getElementById('logout-form').submit();">
											{{ trans('adminlte_lang::message.signout') }}
										</a>

										<form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
											{{ csrf_field() }}
											<input type="submit" value="logout" style="display: none;">
										</form>
									@endif
								</div>
							</li>
						</ul>
					</li>

				@endif

				<!-- Control Sidebar Toggle Button -->
				@if (isset($controlbar))
					<li>
						<a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
					</li>
				@endif
			</ul>
		</div>
	</nav>
</header>